Subject: FYI: Firefox 3 beta 4 will enable pipelining over https

From: Robert Sayre <[email-masked]>
Date: Thu, 7 Feb 2008 02:26:37 -0500

...probably.

In the past, we've had problems with proxies mucking this up. It's  
really difficult to track down broken intermediaries, and the  
anecdotal stuff can really hurt us. So, we're trying https only.  
Additionally, we have some heuristics to detect popular web servers  
with known pipelining bugs.

Firefox 3 nightly builds will ship with this starting now. We might  
receive enough bug reports that we have to turn it off for the next  
beta release, where 10-20x the users will try it. Hopefully it works  
out.

See

<https://bugzilla.mozilla.org/show_bug.cgi?id=414477>

for details.

- Rob